Mailinglist Archive: opensuse-buildservice (197 mails)

< Previous Next >
[opensuse-buildservice] Re: Mandriva 2006 check in spec file
  • From: Peter Nixon <listuser@xxxxxxxxxxxxxx>
  • Date: Sat, 3 Jun 2006 12:31:19 +0300
  • Message-id: <200606031231.25231.listuser@xxxxxxxxxxxxxx>
On Sat 03 Jun 2006 12:17, Adrian Schröter wrote:
> Am Saturday 03 June 2006 11:07 schrieb Peter Nixon:
> > On Sat 03 Jun 2006 10:05, Adrian Schröter wrote:
> > > Am Friday 02 June 2006 01:24 schrieb Bernard Li:
> > > > Hi Daniel:
> > > >
> > > > I tried it, still doesn't work...
> > >
> > > The follow macros are defined now:
> > >
> > > %fedora_version
> > > %mandriva_version
> > >
> > > fedora_version can be either 4 or 5 atm (for Core 4 or Core 5).
> > > mandriva_version is always 2006 atm.
> > >
> > > http://en.opensuse.org/Build_Service/cross_distribution_package_how_to
> >
> > So are these macros not defined normally on Fedora and Mandriva? Can you
> > give us an example conditional which can detect each distro which will
> > work on both the build service AND a normal build on each of the
> > distros??
>
> like on the wiki page or simply with
>
> %if %{?mandriva_version:1}0
> # do something only on mandriva
> # BuildRequires: something-mdk
> %endif
>
> for example.
>
> Yes, they are only defined when you use the Mandriva repository.
>
> bye
> adrian

Can I use a comparison with that? For example:

%if %{?suse_version:1}0 > 930
# do something only on SUSE 9.3
%endif

Because in the FreeRADIUS package I have the following:
%if %suse_version <= 920
--enable-heimdal-krb5 \
--with-rlm-krb5-include-dir=/usr/include/heimdal/ \
%endif

I believe that this will cause the build to fail on other distros..

--

Peter Nixon
http://www.peternixon.net/
PGP Key: http://www.peternixon.net/public.asc
< Previous Next >
Follow Ups